org.keycloak.models

## Interface ApplicationModel

- All Superinterfaces:
    ClientModel, RoleContainerModel
  All Known Implementing Classes:
    ApplicationAdapter, ApplicationAdapter

      public interface ApplicationModel
      extends RoleContainerModel, ClientModel

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDefaultRole(String name)`
    `Set<RoleModel>` | `getApplicationRoleMappings(UserModel user)`
    `Set<RoleModel>` | `getApplicationScopeMappings(ClientModel client)`
    `String` | `getBaseUrl()`
    `List<String>` | `getDefaultRoles()`
    `String` | `getManagementUrl()`
    `String` | `getName()`
    `boolean` | `isBearerOnly()`
    `boolean` | `isSurrogateAuthRequired()`
    `void` | `setBaseUrl(String url)`
    `void` | `setBearerOnly(boolean only)`
    `void` | `setManagementUrl(String url)`
    `void` | `setName(String name)`
    `void` | `setSurrogateAuthRequired(boolean surrogateAuthRequired)`
    `void` | `updateApplication()`
    `void` | `updateDefaultRoles(String[] defaultRoles)`

    - ### Methods inherited from interface org.keycloak.models.RoleContainerModel

      `addRole, addRole, getRole, getRoles, removeRole`

    - ### Methods inherited from interface org.keycloak.models.ClientModel

      `addRedirectUri, addWebOrigin, getActiveUserSessions, getAllowedClaimsMask, getClientId, getId, getNotBefore, getRealm, getRedirectUris, getSecret, getUserSessions, getWebOrigins, isDirectGrantsOnly, isEnabled, isPublicClient, removeRedirectUri, removeWebOrigin, setAllowedClaimsMask, setDirectGrantsOnly, setEnabled, setNotBefore, setPublicClient, setRedirectUris, setSecret, setWebOrigins, validateSecret`

- - ### Method Detail

    - #### updateApplication

          void updateApplication()

    - #### getName

          String getName()

    - #### setName

          void setName(String name)

    - #### isSurrogateAuthRequired

          boolean isSurrogateAuthRequired()

    - #### setSurrogateAuthRequired

          void setSurrogateAuthRequired(boolean surrogateAuthRequired)

    - #### getManagementUrl

          String getManagementUrl()

    - #### setManagementUrl

          void setManagementUrl(String url)

    - #### getBaseUrl

          String getBaseUrl()

    - #### setBaseUrl

          void setBaseUrl(String url)

    - #### getDefaultRoles

          List<String> getDefaultRoles()

    - #### addDefaultRole

          void addDefaultRole(String name)

    - #### updateDefaultRoles

          void updateDefaultRoles(String[] defaultRoles)

    - #### getApplicationRoleMappings

          Set<RoleModel> getApplicationRoleMappings(UserModel user)

    - #### getApplicationScopeMappings

          Set<RoleModel> getApplicationScopeMappings(ClientModel client)

    - #### isBearerOnly

          boolean isBearerOnly()

    - #### setBearerOnly

          void setBearerOnly(boolean only)

Copyright © 2014. All Rights Reserved.